<ng-container *ngIf="!sent; else elseTemplate">
  <div class="text-center">
    <h1>Mot de passe oublié ?</h1>
    <p class="mt-4">
      Tapez votre identifiant pour recevoir un email
      <br />et renouveler votre mot de passe
    </p>
  </div>
  <form class="" [formGroup]="userForm" (ngSubmit)="submit(userForm)">
    <div class="card-body p-6 mb-5">
      <div class="form-group">
        <mat-form-field appearance="outline" class="login-id-form-field">
          <mat-label>Identifiant</mat-label>
          <input
            matInput
            id="email"
            type="email"
            class="login-id"
            [formControl]="userForm.controls['email']"
          />
          <!-- <mat-icon
            matSuffix
            class="red-icon error-icon"
            *ngIf="
              matcher.isErrorState(userForm.controls['email']) &&
              userForm.controls['email'].errors
            "
            >error</mat-icon
          > -->
          <mat-icon
            matSuffix
            class="green-icon error-icon"
            *ngIf="!userForm.controls['email'].errors"
          >
            check_circle
          </mat-icon>
          <mat-error *ngIf="userForm.controls['email'].errors">
            Identifiant invalide
          </mat-error>
        </mat-form-field>
      </div>

      <div class="form-footer d-flex justify-content-center">
        <button
          type="reset"
          class="btn secondary-strada-btn strada-btn-medium"
          (click)="cancel()"
        >
          Annuler
        </button>
        <button
          type="submit"
          class="btn primary-strada-btn strada-btn-medium"
          [disabled]="!userForm.valid"
        >
          Envoyer
        </button>
      </div>
    </div>
  </form>
</ng-container>
<ng-template #elseTemplate>
  <app-reset-password></app-reset-password>
</ng-template>
